Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 449831 - ile /usr/share/man/man5/png.5.gz from install of libpng-1.2.29-1.fc9.i386 conflicts with file from package libpng-1.2.24-1.fc9.x86_64
Summary: ile /usr/share/man/man5/png.5.gz from install of libpng-1.2.29-1.fc9.i386 con...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: libpng
Version: 9
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tom Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-03 20:20 UTC by Joe Nall
Modified: 2013-07-03 03:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-04 04:49:25 UTC
Type: ---


Attachments (Terms of Use)

Description Joe Nall 2008-06-03 20:20:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10_5_3; en-us) AppleWebKit/525.18 (KHTML, like Gecko) Version/3.1.1 Safari/525.20

Description of problem:
Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 libpng                  i386       2:1.2.29-1.fc9   updates           251 k

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       1 Package(s)         
Remove       0 Package(s)         

Total size: 251 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  file /usr/share/man/man5/png.5.gz from install of libpng-1.2.29-1.fc9.i386 conflicts with file from package libpng-1.2.24-1.fc9.x86_64



Version-Release number of selected component (if applicable):
libpng-1.2.24-1.fc9.x86_66

How reproducible:
Always


Steps to Reproduce:
Install i386 and x86_64 versions

Actual Results:
Multiarch conflict on man page

Expected Results:
Both should install

Additional info:

Comment 1 Joe Nall 2008-06-03 20:28:16 UTC
This may be as simple as the x86_64 rpm not propagating to the mirrors at the same time.

Comment 2 Tom Lane 2008-06-04 04:49:25 UTC
I just checked a nearby mirror and  found 1.2.29 versions for both arches, with identical png.5.gz files; so 
I think you did indeed see some transient intermediate state.  I'm not sure whether the Fedora distribution 
infrastructure has any expectation of being able to prevent such problems.  If it claims to do so, then you 
need to be reporting the issue somewhere else ...


Note You need to log in before you can comment on or make changes to this bug.